USBGUARD-NOTIFIER(1)

NAME
usbguard-notifier - provides user-friendly notifications for USBGuard

SYNOPSIS

usbguard-notifier [OPTIONS]

DESCRIPTION

USBGuard Notifier is a software framework mainly for detecting usbguard policy modifications as well as device presence changes. The purpose of this project is to create user-friendly notifications in form of quick pop-up messages.

OPTIONS

-w, --wait
    Wait until an active IPC connection is estabilished.

-d, --debug
    Enable debug mode.

-h, --help
    Show help.

HOW TO START

In order to make usbguard-notifier work properly, you will need to perform certain actions:

    1. Each user who wants to run usbguard-notifier service needs to have sufficient IPC privileges to connect to the usbguard IPC interface. To allow a specific user to listen to the device signals you can use the following command:

    $ sudo usbguard add-user USER -d listen

    Or you can allow a group of users:

    $ sudo usbguard add-user -g GROUP -d listen

    2. Now, you need a running usbguard-daemon instance to connect to. Start the usbguard service or restart it if it is already running.

    3. After configuring IPC privileges and starting up the usbguard-daemon, the user can now start the usbguard-notifier service:

    $ systemctl start --user usbguard-notifier.service

    Optionally, the user can enable the usbguard-notifier service to start automatically after the login:

    $ systemctl enable --user usbguard-notifier.service

The usbguard-notifier should now be running. Anytime a USB device gets inserted/ejected or allowed/blocked a message will pop up in the user’s graphical interface.

SEE ALSO

usbguard-notifier-cli(1), usbguard(1)

BUGS

If you find a bug in this software or if you’d like to request a feature to be implemented, please file a ticket at https://github.com/Cropi/usbguard-notifier/issues/new.

AUTHOR

USBGuard Notifier was written by Zoltán Fridrich and Attila Lakatos.

RESOURCES

Main web site: https://usbguard.github.io/

COPYING

License GPLv2+: GNU GPL version 2 or later http://gnu.org/licenses/gpl.html. This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.